summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorChris Lumens <clumens@redhat.com>2010-03-04 14:12:12 -0500
committerChris Lumens <clumens@redhat.com>2010-04-06 13:14:53 -0400
commitc99d7db62dcc2f5f0684e9321c0bcd357ec2dfa6 (patch)
tree5eb801db24122cebff7b60d3a97d21ae5ce03dd4 /scripts
parentdf883346e29bf732f5bebbe71ed4a41d8492df49 (diff)
Adjust paths that reference things that have moved.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/buildinstall6
-rwxr-xr-xscripts/getkeymaps10
-rwxr-xr-xscripts/mk-images32
-rw-r--r--scripts/mk-images.ppc2
-rw-r--r--scripts/mk-images.sparc6
-rw-r--r--scripts/mk-images.x8616
-rwxr-xr-xscripts/upd-instroot29
7 files changed, 53 insertions, 48 deletions
diff --git a/scripts/buildinstall b/scripts/buildinstall
index 3a75d9e79..36bb32c01 100755
--- a/scripts/buildinstall
+++ b/scripts/buildinstall
@@ -213,10 +213,10 @@ else
BUILDINSTALL=./buildinstall
for f in $UPD_INSTROOT $MK_IMAGES $MK_STAMP $MK_TREEINFO $BUILDINSTALL; do
- if [ -n "$UPDATES" -a -f $UPDATES/usr/lib/anaconda-runtime/$f ]; then
- cp -a $UPDATES/usr/lib/anaconda-runtime/$f* $BUILDINSTDIR/
+ if [ -n "$UPDATES" -a -f $UPDATES/usr/libexec/anaconda/$f ]; then
+ cp -a $UPDATES/usr/libexec/anaconda/$f* $BUILDINSTDIR/
elif [ ! -f $f ]; then
- cp -a $BUILDINSTDIR/usr/lib/anaconda-runtime/$f* $BUILDINSTDIR/
+ cp -a $BUILDINSTDIR/usr/libexec/anaconda/$f* $BUILDINSTDIR/
else
cp -a $f* $BUILDINSTDIR/
fi
diff --git a/scripts/getkeymaps b/scripts/getkeymaps
index 8436900fc..137ae5ee4 100755
--- a/scripts/getkeymaps
+++ b/scripts/getkeymaps
@@ -24,6 +24,12 @@ if [ -z "$ARCH" ]; then
exit 1
fi
+if [ "$ARCH" = "x86_64" -o "$ARCH" = "s390x" -o "$ARCH" = "ppc64" ]; then
+ LIBDIR=lib64
+else
+ LIBDIR=lib
+fi
+
TOPDIR=`pwd`
OUTPUT=$2
if [ -z "$OUTPUT" ]; then
@@ -36,8 +42,8 @@ if [ -z "$UTILDIR" ]; then
READMAP=../utils/readmap
MAPSHDR=$TOPDIR/../utils/mapshdr
else
- READMAP=$UTILDIR/usr/lib/anaconda-runtime/readmap
- MAPSHDR=$UTILDIR/usr/lib/anaconda-runtime/mapshdr
+ READMAP=$UTILDIR/usr/libexec/anaconda/readmap
+ MAPSHDR=$UTILDIR/usr/libexec/anaconda/mapshdr
fi
TMP=${TMPDIR:-/tmp}/keymaps.$$
diff --git a/scripts/mk-images b/scripts/mk-images
index 50b120a0d..3355b9a4b 100755
--- a/scripts/mk-images
+++ b/scripts/mk-images
@@ -160,17 +160,17 @@ mkdir -p $KERNELBASE
mkdir -p $INSTIMGPATH
# Stuff that we need
-TRIMPCIIDS=$IMGPATH/usr/lib/anaconda-runtime/trimpciids
-GETKEYMAPS=$IMGPATH/usr/lib/anaconda-runtime/getkeymaps
-GENINITRDSZ=$IMGPATH/usr/lib/anaconda-runtime/geninitrdsz
-MKS390CDBOOT=$IMGPATH/usr/lib/anaconda-runtime/mk-s390-cdboot
-GENMODINFO=$IMGPATH/usr/lib/anaconda-runtime/genmodinfo
+TRIMPCIIDS=$IMGPATH/usr/libexec/anaconda/trimpciids
+GETKEYMAPS=$IMGPATH/usr/libexec/anaconda/getkeymaps
+GENINITRDSZ=$IMGPATH/usr/$LIBDIR/anaconda/geninitrdsz
+MKS390CDBOOT=$IMGPATH/usr/$LIBDIR/anaconda/mk-s390-cdboot
+GENMODINFO=$IMGPATH/usr/libexec/anaconda/genmodinfo
KEYMAPS=$TMPDIR/keymaps-$BUILDARCH.$$
-SCREENFONT=$IMGPATH/usr/lib/anaconda-runtime/screenfont-${BASEARCH}.gz
-MODLIST=$IMGPATH/usr/lib/anaconda-runtime/modlist
+SCREENFONT=$IMGPATH/usr/share/anaconda/screenfont-${BASEARCH}.gz
+MODLIST=$IMGPATH/usr/libexec/anaconda/modlist
MODINFO=$TMPDIR/modinfo-$BUILDARCH.$$
-LOADERBINDIR=$IMGPATH/usr/lib/anaconda-runtime/loader
-BOOTDISKDIR=$IMGPATH/usr/lib/anaconda-runtime/boot
+LOADERBINDIR=$IMGPATH/usr/$LIBDIR/anaconda
+BOOTDISKDIR=$IMGPATH/usr/share/anaconda/boot
LANGTABLE=$IMGPATH/usr/share/anaconda/lang-table
PCIIDS=$IMGPATH/usr/share/hwdata/pci.ids
XDRIVERS=$IMGPATH/usr/share/hwdata/videoaliases
@@ -198,9 +198,9 @@ if [ -n "$dieLater" ]; then exit 1; fi
if [ "$BUILDARCH" != "s390" -a "$BUILDARCH" != "s390x" ]; then
# go ahead and create the keymaps so we only have to do it once
- if [ -f $IMGPATH/usr/lib/anaconda-runtime/keymaps-override-$BASEARCH ]; then
+ if [ -f $IMGPATH/usr/share/anaconda/keymaps-override-$BASEARCH ]; then
echo "Found keymap override, using it"
- cp $IMGPATH/usr/lib/anaconda-runtime/keymaps-override-$BASEARCH $KEYMAPS
+ cp $IMGPATH/usr/share/anaconda/keymaps-override-$BASEARCH $KEYMAPS
else
echo "Running: $GETKEYMAPS $BUILDARCH $KEYMAPS $IMGPATH"
$GETKEYMAPS $BUILDARCH $KEYMAPS $IMGPATH
@@ -658,7 +658,7 @@ makeinitrd() {
ln -s ./init $MBD_DIR/sbin/poweroff
else
instbin $IMGPATH ${LOADERBINDIR##$IMGPATH}/shutdown $MBD_DIR /sbin/shutdown
- instbin $IMGPATH /usr/lib/anaconda-runtime/loader/linuxrc.s390 $MBD_DIR /sbin/init
+ instbin $IMGPATH /usr/share/anaconda/linuxrc.s390 $MBD_DIR /sbin/init
instbin $IMGPATH /usr/sbin/dasdfmt $MBD_DIR /sbin/dasdfmt
cp -a $IMGPATH/usr/sbin/*_cio_free $MBD_DIR/sbin
fi
@@ -876,7 +876,7 @@ EOF
done
rm -f $MBD_DIR/lib/udev/rules.d/*generator*
- install -m 644 $LOADERBINDIR/$MYLOADERTR $MBD_DIR/etc/loader.tr
+ install -m 644 $IMGPATH/usr/share/anaconda/$MYLOADERTR $MBD_DIR/etc/loader.tr
for i in a/ansi d/dumb l/linux s/screen v/vt100 v/vt100-nav v/vt102 x/xterm x/xterm-color g/gnome ; do
[ -f $IMGPATH/usr/share/terminfo/$i ] && \
install -m 644 $IMGPATH/usr/share/terminfo/$i $MBD_DIR/etc/terminfo/$i
@@ -968,8 +968,8 @@ makemainimage () {
if [ $type = "ext2" ]; then
SIZE=$(du -sk $IMGPATH | awk '{ print int($1 * 1.1) }')
- if [ -d $IMGPATH/usr/lib/anaconda-runtime ]; then
- ERROR=$(du -sk $IMGPATH/usr/lib/anaconda-runtime | awk '{ print $1 }')
+ if [ -d $IMGPATH/usr/share/anaconda]; then
+ ERROR=$(du -sk $IMGPATH/usr/share/anaconda | awk '{ print $1 }')
SIZE=$(expr $SIZE - $ERROR)
fi
if [ -d $IMGPATH/usr/share/syslinux ]; then
@@ -982,7 +982,7 @@ makemainimage () {
mount -o loop $mmi_tmpimage $mmi_mntpoint
(cd $IMGPATH; find . |
- fgrep -v "./usr/lib/anaconda-runtime" |
+ fgrep -v "./usr/share/anaconda" |
fgrep -v "./usr/share/syslinux"
cpio -H crc -o) | (cd $mmi_mntpoint; cpio -iumd)
makeproductfile $mmi_mntpoint
diff --git a/scripts/mk-images.ppc b/scripts/mk-images.ppc
index 47af389f0..21de9e381 100644
--- a/scripts/mk-images.ppc
+++ b/scripts/mk-images.ppc
@@ -120,7 +120,7 @@ doPostImages() {
# Create ofboot.b and bootinfo.txt files, and yaboot binaries for Mac and CHRP
cp $BOOTDISKDIR/bootinfo.txt $TOPDESTPATH/ppc/bootinfo.txt
- cp $IMGPATH/usr/lib/anaconda-runtime/boot/efika.forth $TOPDESTPATH/ppc/efika.forth
+ cp $IMGPATH/usr/share/anaconda/boot/efika.forth $TOPDESTPATH/ppc/efika.forth
if [ -d $TOPDESTPATH/ppc/mac ]; then
cp $BOOTDISKDIR/ofboot.b $TOPDESTPATH/ppc/mac/ofboot.b
diff --git a/scripts/mk-images.sparc b/scripts/mk-images.sparc
index f8fb3b634..e3d771418 100644
--- a/scripts/mk-images.sparc
+++ b/scripts/mk-images.sparc
@@ -133,12 +133,12 @@ makeBootImages() {
--loaderbin loader \
--modules "$TFTPINITRDMODS $SPARCMODS"
[ $? = 0 ] || exit 1
- if [ -f $IMGPATH/usr/lib/anaconda-runtime/boot/second.b ]; then
+ if [ -f $IMGPATH/usr/share/anaconda/boot/second.b ]; then
echo "Building boot dir for silo"
MBD_BOOTTREE=$TOPDESTPATH/boot
MBD_FSIMAGE=$TOPDESTPATH/images/initrd.img
mkdir $MBD_BOOTTREE
- cp $IMGPATH/usr/lib/anaconda-runtime/boot/*.b $MBD_BOOTTREE/
+ cp $IMGPATH/usr/share/anaconda/boot/*.b $MBD_BOOTTREE/
prepareBootTree
@@ -149,7 +149,7 @@ makeBootImages() {
echo "Deleting $TOPDESTPATH/images/tftpinitrd.img , we only want this for the tftp image creation"
# rm -rf $TOPDESTPATH/images/tftpinitrd.img
else
- echo "I can't find SILO in $IMGPATH/usr/lib/anaconda-runtime/boot ?!?"
+ echo "I can't find SILO in $IMGPATH/usr/share/anaconda/boot ?!?"
exit 1
fi
diff --git a/scripts/mk-images.x86 b/scripts/mk-images.x86
index 7495ad43a..213711949 100644
--- a/scripts/mk-images.x86
+++ b/scripts/mk-images.x86
@@ -37,20 +37,20 @@ prepareBootTree() {
ln $MBD_FSIMAGE $MBD_BOOTTREE/initrd.img
cp $KERNELROOT/boot/vmlinuz-* $MBD_BOOTTREE/vmlinuz
- if [ -f $IMGPATH/usr/lib/anaconda-runtime/syslinux-vesa-splash.jpg ]; then
- cp $IMGPATH/usr/lib/anaconda-runtime/syslinux-vesa-splash.jpg $MBD_BOOTTREE/splash.jpg
+ if [ -f $IMGPATH/usr/share/anaconda/syslinux-vesa-splash.jpg ]; then
+ cp $IMGPATH/usr/share/anaconda/syslinux-vesa-splash.jpg $MBD_BOOTTREE/splash.jpg
cp $IMGPATH/usr/share/syslinux/vesamenu.c32 $MBD_BOOTTREE/vesamenu.c32
sed -i s'/default linux/default vesamenu.c32/g' $MBD_BOOTTREE/syslinux.cfg
sed -i 's/prompt 1/#prompt 1/g' $MBD_BOOTTREE/syslinux.cfg
- elif [ -x $IMGPATH/usr/lib/anaconda-runtime/splashtolss.sh ]; then
- $IMGPATH/usr/lib/anaconda-runtime/splashtolss.sh $BOOTDISKDIR/syslinux-splash.png $BOOTDISKDIR/splash.lss
+ elif [ -x $IMGPATH/usr/share/anaconda/splashtolss.sh ]; then
+ $IMGPATH/usr/share/anaconda/splashtolss.sh $BOOTDISKDIR/syslinux-splash.png $BOOTDISKDIR/splash.lss
if [ $? != 0 ]; then
echo $0: Failed to create splash.lss
exit 1
fi
cp $BOOTDISKDIR/splash.lss $MBD_BOOTTREE/splash.lss
- elif [ -f $IMGPATH/usr/lib/anaconda-runtime/splash.lss ]; then
- cp $IMGPATH/usr/lib/anaconda-runtime/splash.lss $MBD_BOOTTREE/splash.lss
+ elif [ -f $IMGPATH/usr/share/anaconda/splash.lss ]; then
+ cp $IMGPATH/usr/share/anaconda/splash.lss $MBD_BOOTTREE/splash.lss
fi
rm -f $MBD_BOOTTREE/syslinux-splash.png
@@ -119,8 +119,8 @@ makeBootImages() {
sed -i "s/initrd=initrd.img/initrd=initrd.img stage2=hd:LABEL=\"$CDLABEL\"/" $MBD_BOOTTREE/isolinux.cfg
# copy in memtest if present
- if [ -f $IMGPATH/usr/lib/anaconda-runtime/boot/memtest* ]; then
- cp $IMGPATH/usr/lib/anaconda-runtime/boot/memtest* $MBD_BOOTTREE/memtest
+ if [ -f $IMGPATH/usr/share/anaconda/boot/memtest* ]; then
+ cp $IMGPATH/usr/share/anaconda/boot/memtest* $MBD_BOOTTREE/memtest
echo -e "label memtest86\n menu label ^Memory test\n kernel memtest\n append -\n" >> $MBD_BOOTTREE/isolinux.cfg
fi
else
diff --git a/scripts/upd-instroot b/scripts/upd-instroot
index 2197751f7..8bca9cde0 100755
--- a/scripts/upd-instroot
+++ b/scripts/upd-instroot
@@ -570,8 +570,7 @@ usr/bin/vncpasswd
usr/bin/wget
usr/bin/xkbcomp
usr/bin/zenity
-usr/lib/anaconda
-usr/lib/anaconda-runtime
+usr/$LIBDIR/anaconda
usr/lib/kernel-wrapper
usr/lib/locale
usr/lib/python?.?
@@ -584,6 +583,7 @@ usr/lib/yaboot
usr/lib/yum-plugins/blacklist.py*
usr/lib/yum-plugins/fedorakmod.py*
usr/lib/yum-plugins/whiteout.py*
+usr/libexec/anaconda
usr/libexec/convertdb1
usr/libexec/fcoe/fcoe_edd.sh
usr/libexec/nm-crash-logger
@@ -1030,8 +1030,7 @@ cp $DEST/usr/share/anaconda/list-harddrives-stub $DEST/usr/bin/list-harddrives
cp $DEST/usr/share/anaconda/loadkeys-stub $DEST/usr/bin/loadkeys
cp $DEST/usr/share/anaconda/mknod-stub $DEST/usr/bin/mknod
mv $DEST/usr/sbin/anaconda $DEST/usr/bin/anaconda
-mv $DEST/usr/lib/anaconda-runtime/lib* $DEST/usr/$LIBDIR 2>/dev/null
-mv $DEST/usr/lib/anaconda/sitecustomize.py $DEST/usr/$LIBDIR/python?.?/site-packages
+mv $DEST/usr/$LIBDIR/python?.?/site-packages/pyanaconda/sitecustomize.py $DEST/usr/$LIBDIR/python?.?/site-packages
mv $DEST/etc/yum.repos.d $DEST/etc/anaconda.repos.d
@@ -1071,33 +1070,33 @@ done
# copy bootloader files for sparc
if [ $ARCH = sparc -o $ARCH = sparcv9 -o $ARCH = sparc64 ]; then
- mkdir -p $DEST/usr/lib/anaconda-runtime/boot
+ mkdir -p $DEST/usr/share/anaconda/boot
[ -d $DEST/boot ] || die "ERROR: directory missing: $DEST/boot"
- (cd $DEST/boot; find -name "*.b") | (cd $DEST/boot; /bin/cpio --quiet -pdmu $DEST/usr/lib/anaconda-runtime/boot)
+ (cd $DEST/boot; find -name "*.b") | (cd $DEST/boot; /bin/cpio --quiet -pdmu $DEST/usr/share/anaconda/boot)
fi
# copy bootloader file for ppc
if [ $ARCH = ppc -o $ARCH = ppc64 ]; then
- mkdir -p $DEST/usr/lib/anaconda-runtime/boot
- cp -af $DEST/boot/efika.forth $DEST/usr/lib/anaconda-runtime/boot
+ mkdir -p $DEST/usr/share/anaconda/boot
+ cp -af $DEST/boot/efika.forth $DEST/usr/share/anaconda/boot
fi
# copy bootloader file for alpha
if [ $ARCH = alpha ]; then
- mkdir -p $DEST/usr/lib/anaconda-runtime/boot
- cp -af $DEST/boot/bootlx $DEST/usr/lib/anaconda-runtime/boot
+ mkdir -p $DEST/usr/share/anaconda/boot
+ cp -af $DEST/boot/bootlx $DEST/usr/share/anaconda/boot
fi
# copy bootloader files for ia64
if [ $ARCH = ia64 ]; then
- mkdir -p $DEST/usr/lib/anaconda-runtime/boot
- cp -af $DEST/boot/efi/EFI/redhat//* $DEST/usr/lib/anaconda-runtime/boot
+ mkdir -p $DEST/usr/share/anaconda/boot
+ cp -af $DEST/boot/efi/EFI/redhat//* $DEST/usr/share/anaconda/boot
fi
# copy bootloader files for i386/x86_64
if [ $ARCH = i386 -o $ARCH = i586 -o $ARCH = x86_64 ]; then
- mkdir -p $DEST/usr/lib/anaconda-runtime/boot
- cp -af $DEST/boot/memtest* $DEST/usr/lib/anaconda-runtime/boot
+ mkdir -p $DEST/usr/share/anaconda/boot
+ cp -af $DEST/boot/memtest* $DEST/usr/share/anaconda/boot
fi
rm -rf $DEST/boot $DEST/home $DEST/root $DEST/tmp
@@ -1110,7 +1109,7 @@ for d in idle distutils bsddb lib-old hotshot doctest.py pydoc.py site-packages/
rm -rf $DEST/$d
done
-$DEST/usr/lib/anaconda-runtime/scrubtree $DEST
+$DEST/usr/libexec/anaconda/scrubtree $DEST
echo "Creating debug dir"
mkdir -p $DEST/usr/lib/debug